Embedded Tax API

Users

Server-to-server partner endpoints under https://api.awaken.tax/api.

POST

/users

Create an embedded tax user

FieldTypeRequiredNotes
userIdstringYes
emailstringNoemail
Request body
{
"userId": "user-42",
"email": "user@example.com"
}
StatusMeaning
201User created
400Validation failed
curl
curl -X POST "https://api.awaken.tax/api/users" \
-H "x-client-id: $AWAKEN_CLIENT_ID" \
-H "x-api-secret: $AWAKEN_API_SECRET" \
-H "content-type: application/json" \
--data '{ "userId": "user-42", "email": "user@example.com" }'
GET

/users/{referenceId}/user

Retrieve a compact embedded user

StatusMeaning
200User and partner branding
404The resource was not found for the authenticated partner
curl
curl -X GET "https://api.awaken.tax/api/users/:referenceId/user" \
-H "x-client-id: $AWAKEN_CLIENT_ID" \
-H "x-api-secret: $AWAKEN_API_SECRET" \
-H "content-type: application/json"